[torqueusers] 2.5.8 PAM module fails

Lloyd Brown lloyd_brown at byu.edu
Wed Oct 19 10:57:58 MDT 2011


Okay.  Apparently I just wasn't paying attention during testing to this
little detail.  It was happening.  With v2.5.8, I get this in the log:


> Oct 19 10:53:04 m5stage-1-4 sshd[5499]: PAM unable to dlopen(/lib64/security/pam_pbssimpleauth.so)
> Oct 19 10:53:04 m5stage-1-4 sshd[5499]: PAM [error: /lib64/security/pam_pbssimpleauth.so: undefined symbol: getpwnam_ext]
> Oct 19 10:53:04 m5stage-1-4 sshd[5499]: PAM adding faulty module: /lib64/security/pam_pbssimpleauth.so
> Oct 19 10:53:07 m5stage-1-4 sshd[5499]: pam_access(sshd:account): access denied for user `lbrown' from `OBSCUREDHOSTNAME'
> Oct 19 10:53:07 m5stage-1-4 sshd[5499]: Failed password for lbrown from OBSCUREDIPADDR port 48572 ssh2
> Oct 19 10:53:07 m5stage-1-4 sshd[5500]: fatal: Access denied for user lbrown by PAM account configuration

But with v2.5.7, on the same host, with the same libraries, etc., and
same user, I get this instead:

> Oct 19 10:53:35 m5stage-1-4 pam_pbssimpleauth[8797]: opening /usr/spool/PBS/mom_priv/jobs
> Oct 19 10:53:35 m5stage-1-4 pam_pbssimpleauth[8797]: username lbrown, known
> Oct 19 10:53:35 m5stage-1-4 pam_pbssimpleauth[8797]: returning failed
> Oct 19 10:53:35 m5stage-1-4 sshd[8797]: pam_access(sshd:account): access denied for user `lbrown' from `OBSCUREDHOSTNAME'
> Oct 19 10:53:35 m5stage-1-4 sshd[8797]: Failed password for lbrown from OBSCUREDIPADDR port 48575 ssh2
> Oct 19 10:53:35 m5stage-1-4 sshd[8798]: fatal: Access denied for user lbrown by PAM account configuration


Ken, you say that you have it working on a CentOS 5 instance with the
released v2.5.8?  Can you share the exact configure line you used, so we
can confirm/deny this independently?

FWIW, here's mine (I know at least one or two options are depricated):

> CC=gcc CXX=g++ F77=gfortran ./configure --disable-server --enable-mom --enable-clients --disable-gui --with-server-home=/usr/spool/PBS --disable-sched --with-maildomain=users.fsl.byu.edu --with-pam --with-default-server=fslsched-stage.fsl.byu.edu --with-tcp-retry-limit=2


Lloyd Brown
Systems Administrator
Fulton Supercomputing Lab
Brigham Young University
http://marylou.byu.edu

On 10/19/2011 10:27 AM, Lloyd Brown wrote:
> FWIW, we also saw the same symbol problem on our CentOS/NPACI-Rocks 5
> cluster, with 2.5.8.  I'm currently in the process of reverting our MOMs
> to 2.5.5, and will work on figuring out what went wrong, why it didn't
> show up in our testing, etc.
> 
> Lloyd Brown
> Systems Administrator
> Fulton Supercomputing Lab
> Brigham Young University
> http://marylou.byu.edu
> 
> On 10/06/2011 03:43 PM, Ken Nielson wrote:
>> I have tried this on CentOS 5 and Ubuntu 11.04 without any problem. I am building from the 2.5-fixes branch in Subversion. Is anyone else having an issue compiling PAM on TORQUE with 2.5.8?
>>
>> Maybe another good question is "is anyone using PAM with 2.5.8"?
>>
> _______________________________________________
> torqueusers mailing list
> torqueusers at supercluster.org
> http://www.supercluster.org/mailman/listinfo/torqueusers


More information about the torqueusers mailing list